Name:             zathura-djvu
Version:          0.2.6
Release:          1%{?dist}
Summary:          DjVu support for zathura
License:          zlib
URL:              http://pwmt.org/projects/zathura/plugins/%{name}
Source0:          http://pwmt.org/projects/zathura/plugins/download/%{name}-%{version}.tar.gz
BuildRequires:    binutils
BuildRequires:    coreutils
BuildRequires:    desktop-file-utils
BuildRequires:    gcc
BuildRequires:    make
BuildRequires:    pkgconfig
BuildRequires:    sed
BuildRequires:    pkgconfig(cairo)
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    pkgconfig(ddjvuapi)
BuildRequires:    pkgconfig(girara-gtk3)
BuildRequires:    pkgconfig(zathura)
Requires:         zathura
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
The zathura-djvu plugin adds DjVu support to zathura by
using the djvulibre library.

%prep
%setup -q
# Don't rebuild during install phase
sed -i 's/^install:\s*all/install:/' Makefile

%build
CFLAGS='%{optflags}' make %{?_smp_mflags} LIBDIR=%{_libdir} debug
mv djvu-debug.so djvu.so

%install
make DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%license LICENSE
%doc AUTHORS
%{_libdir}/zathura/djvu.so
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Jan 15 2017 Petr Šabata <contyk@redhat.com> - 0.2.6-1
- 0.2.6 bump

* Fri Feb 26 2016 Petr Šabata <contyk@redhat.com> - 0.2.5-1
- 0.2.5 bump

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 02 2015 Petr Šabata <contyk@redhat.com> - 0.2.4-5
- Install the desktop file correctly

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 10 2015 Petr Šabata <contyk@redhat.com> - 0.2.4-3
- Rebuild for new girara

* Tue Jun 09 2015 Petr Šabata <contyk@redhat.com> - 0.2.4-2
- Fix the dep list, install LICENSE with the %%license macro

* Fri Oct 17 2014 Petr Šabata <contyk@redhat.com> - 0.2.4-1
- 0.2.4 bump

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 François Cami <fcami@fedoraproject.org> - 0.2.3-5
- Bump for rawhide (again)

* Thu Mar 06 2014 François Cami <fcami@fedoraproject.org> - 0.2.3-4
- Bump for rawhide

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 29 2013 Petr Šabata <contyk@redhat.com> - 0.2.3-2
- Fix a debuginfo regression (#967954)

* Tue May 21 2013 Petr Šabata <contyk@redhat.com> - 0.2.3-1
- 0.2.3 bump
- Dropping the now unneeded patches

* Fri Mar 29 2013 Kevin Fenzi <kevin@scrye.com> 0.2.2-1
- Update to 0.2.2

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 12 2013 François Cami <fcami@fedoraproject.org> - 0.2.1-3
- force-require zathura.

* Tue Jan 08 2013 François Cami <fcami@fedoraproject.org> - 0.2.1-2
- Add fix for djvulibre-devel < 3.5.25 - Thanks to M. Schwendt and E. Echeverria

* Tue Jan 01 2013 François Cami <fcami@fedoraproject.org> - 0.2.1-1
- Initial package.
